Bug 1000193 - Timeout handling for upgrade operations
Timeout handling for upgrade operations
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 18:14 EDT by Paul Morie
Modified: 2015-05-14 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-22 18:14:55 EDT
The OpenShift::Runtime::Upgrader class needs to accept an hourglass in the constructor to correctly handle timeouts the way the other actions available in the mcollective agent do.
Comment 4 openshift-github-bot 2013-08-23 13:59:02 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/27cac39a11957eea659377fc5866b2b9d36e2f2d
Bug 1000193: Use an Hourglass in the gear upgrader

Improve Upgrader class to accept and use an Hourglass instance for timeout handling. Pass
through the hourglass to all ApplicationContainer and cartridge model instances, and use
the hourglass to configure Net::HTTP timeout values.

Ensure that no Upgrader operations will ever be timed out by a higher level Timeout block
such as MCollective.
Comment 5 Meng Bo 2013-08-26 05:32:31 EDT
Tested on devenv-stage_457, after the hourglass merged, the oo-admin-upgrade works fine. And no regression.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.